import java.io.InputStream;
import java.net.URL;

public class ClientProxyBasicHttps {
    public static void main(String args[]) throws Exception {
        // 目标地址
        String targetUrl = "https://www.baidu.com";

        String proxyUser = "用户名";
        String proxyPwd = "密码";
        // 代理服务器
        String proxyHost = "xxx.xxx.xxx.xxx";
        int proxyPort = 10086;
        ProxiedHttpsConnection n = new ProxiedHttpsConnection(
                new URL(targetUrl),
                proxyHost, proxyPort, proxyUser, proxyPwd);

        try (InputStream in = n.getInputStream()) {
            byte[] buff = new byte[1024];
            int length;
            while ((length = in.read(buff)) >= 0) {
                System.out.write(buff, 0, length);
            }
        }
    }
}
